xine-lib: xine_gl Struct Reference

xine-lib 1.2.12

Data Fields
xine_gl Struct Reference

`#include <xine_gl.h>`

## Data Fields
int(* | make_current )(xine_gl_t *)
void(* | release_current )(xine_gl_t *)
void(* | swap_buffers )(xine_gl_t *)
void(* | resize )(xine_gl_t *, int width, int height)
void(* | set_native_window )(xine_gl_t *, void *)
void(* | dispose )(xine_gl_t **)
void *(* | get_proc_address )(xine_gl_t *, const char *)
const char *(* | query_extensions )(xine_gl_t *)
void *(* | eglCreateImageKHR )(xine_gl_t *, unsigned, void *, const int32_t *)
int(* | eglDestroyImageKHR )(xine_gl_t *, void *)

## Field Documentation

## ◆ dispose

void(* xine_gl::dispose) (xine_gl_t **)

Referenced by _egl_get_instance(), _glx_get_instance(), _x_load_gl(), and opengl2_check_platform().

## ◆ eglCreateImageKHR

void *(* xine_gl::eglCreateImageKHR) (xine_gl_t *, unsigned, void *, const int32_t *)

Referenced by _egl_get_instance().

## ◆ eglDestroyImageKHR

int(* xine_gl::eglDestroyImageKHR) (xine_gl_t *, void *)

Referenced by _egl_get_instance().

## ◆ get_proc_address

void *(* xine_gl::get_proc_address) (xine_gl_t *, const char *)

Referenced by _egl_get_instance(), and _glx_get_instance().

## ◆ make_current

int(* xine_gl::make_current) (xine_gl_t *)

Referenced by _egl_get_instance(), _glx_get_instance(), opengl2_check_platform(), and opengl2_draw().

## ◆ query_extensions

const char *(* xine_gl::query_extensions) (xine_gl_t *)

Referenced by _egl_get_instance(), and _glx_get_instance().

## ◆ release_current

void(* xine_gl::release_current) (xine_gl_t *)

Referenced by _egl_get_instance(), _glx_get_instance(), opengl2_check_platform(), and opengl2_draw().

## ◆ resize

void(* xine_gl::resize) (xine_gl_t *, int width, int height)

Referenced by _egl_get_instance(), and _glx_get_instance().

## ◆ set_native_window

void(* xine_gl::set_native_window) (xine_gl_t *, void *)

Referenced by _egl_get_instance(), and _glx_get_instance().

## ◆ swap_buffers

void(* xine_gl::swap_buffers) (xine_gl_t *)

Referenced by _egl_get_instance(), _glx_get_instance(), and opengl2_draw().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/opengl/xine_gl.h